package com.schbrain.canal.client.utils;

import lombok.Data;

import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * @author zhuyf
 * @date 2022/6/22
 */
@Data
public class Dml {
    /**
     * 对应canal的实例或者MQ的topic
     */
    private String destination;
    /**
     * 数据库或schema
     */
    private String database;
    /**
     * 表名
     */
    private String table;

    private List<String> pkNames;

    private Boolean isDdl;
    /**
     * 类型: INSERT UPDATE DELETE
     */
    private String type;
    /**
     * 执行耗时
     */
    private Long es;
    // dml build timeStamp
    /**
     * 同步时间
     */
    private Long ts;
    /**
     * 执行的sql, dml sql为空
     */
    private String sql;
    /**
     * 数据列表
     */
    private List<Row> data;
    /**
     * 数据列表
     */
    private Set<String> updatedNames;
    /**
     * 数据列
     */
    @Data
    public static class Row{

        Map<String, Object> data;

        Map<String, Object> old;
    }
}
