package com.schbrain.web;

import com.alibaba.otter.canal.protocol.CanalEntry;
import com.schbrain.bean.User;
import com.schbrain.canal.client.annotation.TableFilter;
import com.schbrain.canal.client.event.SimpleResolverCanalEvent;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * @author zhuyf
 * @date 2022/6/16
 */
@Slf4j
@Service
@TableFilter(table = "#{keyService.table()}" , schame = "${canal.table.scheam}")
public class UserServcie extends SimpleResolverCanalEvent<User> {

    @Override
    public void onInsert(CanalEntry.Header header, User o) {
        log.info("on insert :{}",o);
    }

    @Override
    public void onUpdate(CanalEntry.Header header, User before, User after) {
        log.info("on update before :{} after :{}",before,after);
    }
}